Subject: bug#18763: Emacs is segfaulting

From: Noah Slater <[email-masked]>
Date: Mon, 20 Oct 2014 16:40:22 +0200

Okay, I have upgraded. I'll report back if I see any more crashes. Thanks!

On 18 October 2014 15:03, Eli Zaretskii <[email-masked]> wrote:

> > Date: Sat, 18 Oct 2014 14:55:02 +0200
> > From: Noah Slater <[email-masked]>
> >
> > I use Emacs with Org mode a lot. And it's been segcrashing a lot
> recently. It
> > segfaults in a number of different ways. Seems non-deterministic to me.
> (i.e.
> > The same action upon startup can cause it to segfault or not segault,
> seemingly
> > at random.)
> >
> > What information do you need to help with this? Is there some command I
> can run
> > that will produce the output you need to understand why it's segfaulting?
> >
> > I am running GNU Emacs 24.4.50.1 on Mac OS X.
>
> That's an old version of the development trunk, please upgrade to the
> latest trunk and see if the problem still exists.
>
> If it does exist on the latest trunk, please report the details using
> "M-x report-emacs-bug RET".
>
> For crashes, it is best to run Emacs under GDB, and when it crashes,
> type "thread apply all bt full" from the GDB prompt; then post the
> results.
>
> Thanks.
>